Subject: Re: [PATCH 1/13] powerpc: Add Makefile rules to wrap dts file in zImage

From: David Gibson <[email-masked]>
Date: Mon, 28 May 2007 14:43:31 +1000

On Fri, May 25, 2007 at 01:50:14PM -0700, Mark A. Greer wrote:
> On Fri, May 25, 2007 at 11:33:59AM +1000, David Gibson wrote:
> > On Fri, May 25, 2007 at 11:32:42AM +1000, David Gibson wrote:
> > > On Thu, May 24, 2007 at 02:28:32PM -0700, Mark A. Greer wrote:
> > > > On Tue, May 22, 2007 at 10:23:49AM +1000, David Gibson wrote:
> 
> > > > > Just leave them out.  As long as you add the correct specific
> > > > > zImage.dts.% and zImage.dts_initrd.% targets to image-y and initrd-y,
> > > > > then a "make zImage" from the top-level Makefile will get them built.
> > > > 
> > > > That defeats the whole purpose of the patch--to allow the selection of
> > > > wrapping a dtb or not at build time.  Its just like initrd, you choose
> > > > whether to "do it" at build time.
> > > 
> > > Ah, right.  Remind me why that's useful again?
> > 
> > Sorry, to be more precise, why is that more useful than having "make
> > zImage" at the top level build both the dts and non-dts versions.
> 
> Well, that is a good question.  This is my reasoning which I put in the
> patch description:
> 
> 	"Having separate rules allows the user to choose whether to include
> 	a device tree--and which device tree--at build time.  This is
> 	useful when one Makefile target builds a zImage that runs on several
> 	platforms except for differing device trees.  By just setting
> 	CONFIG_DEVICE_TREE and running "make zImage.dts" the exact zImage
> 	you want is built without Makefile bloat or manually running the
> 	wrapper script."
> 
> Making both seems like a waste but its such a small waste that it
> doesn't really matter.  If you still object to this feature, I'll
> take it out since I (read: prpmc2800) doesn't really need this
> feature anyway.

Go with building both; that's consistent with the various other
platforms that build multiple images for different boot variants
(e.g. ppc64 builds powermac and pseries compatible images, Ebony
builds both cuImage and treeboot image).

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson